Subject: [bug#53208] [PATCH 38/39] gnu: rust-analyzer: Update to 2022-01-10.

From: Nicolas Goaziou <[email-masked]>
Date: Sun, 23 Jan 2022 09:35:10 +0100

Hello,

Leo Famulari <[email-masked]> writes:

> This patch series caused ~2300 rebuilds on the build farm, if I
> understand correctly:
>
> https://ci.guix.gnu.org/eval/56317

Ouch! Sorry about the mess.

Fortunately, all packages are rebuilt already, IIUC.

> Remember: changes that cause more than 300 rebuilds per architecture
> may not be pushed to the master branch:
>
> https://guix.gnu.org/manual/en/html_node/Submitting-Patches.html#Submitting-Patches

As you may guess, I know this part (which IMO could be refreshed as the
capacity of the build farm and the number of Guix packages evolved since
2016) of the manual.

What I do not know, however, is how to predict the number of rebuilds
when it comes to Rust packages. Do you have an idea?

Regards,
-- 
Nicolas Goaziou